Subject: bug#18697: 25.0.50; [PATCH] hi-lock interactive functions now default to the active region, if there is one

From: Drew Adams <[email-masked]>
Date: Tue, 14 Oct 2014 12:48:56 -0700 (PDT)

> > I don't care what you do to hi-lock.  However, wrt `read-regexp':
> > I certainly hope not.  That would make that function useless for
> > any command that wants to act on the active region (e.g., vs
> > the buffer if inactive).
> 
> There is no problem in using the active region in `read-regexp' as
> we discussed it in http://thread.gmane.org/gmane.emacs.devel/168564

Huh? There is NO discussion of `read-regexp' in that thread. Zero.

And that thread certainly does not come to the conclusion that
the active region should always be taken as the default value
(of whatever).

You yourself acknowledge in that thread that using the active
region to limit the scope of a command is sometimes more useful
than using it to come up with a default string value.

`read-regexp' is not a command.  It is a utility function, which
can be used in all kinds of commands, all kinds of contexts.
We should not fix its default value in a way that limits the
use of `read-regexp' by some command/context of the active region
for something else.

What IS pointed out in that thread is that there are other ways
to pick up text at point, besides using the active region.  And
that gives you much more flexibility than hard-wiring the region
content as the default value.